Project

General

Profile

Refactor #11729

Update fog to 2.0.0

Added by Dominic Cleal over 4 years ago. Updated about 4 years ago.

Status:
New
Priority:
Normal
Assignee:
-
Category:
Compute resources
Target version:
-
Difficulty:
Triaged:
No
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:

Description

Tracker for updating to Fog 2.0.0 (or whatever's after 1.34.0).


Related issues

Related to Foreman - Refactor #11341: Update fog to 1.34.0Closed2015-08-13
Related to Foreman - Refactor #12494: Update fog to 1.36.0Closed2015-11-16
Related to Foreman - Refactor #12612: Update fog to 1.37.0Closed2015-11-26
Blocked by Foreman - Refactor #8884: Drop Ruby 1.9.3 supportClosed2015-01-09
Blocks Foreman - Bug #13082: Windows images unavailable when creating GCE image entriesNew

History

#1 Updated by Dominic Cleal over 4 years ago

#2 Updated by Dominic Cleal over 4 years ago

#3 Updated by Dominic Cleal over 4 years ago

A v1.35.0 release has been made, but I think it incorrectly dropped support for Ruby 1.9.3 (https://github.com/fog/fog/issues/3711#issuecomment-149810899). If that's resolved then we may be able to update to that first.

#4 Updated by Dominic Cleal over 4 years ago

  • Blocks Bug #11332: Version 1 of the API is deprecated and will be shutdown on November 1st 2015 added

#5 Updated by Brandon Weeks about 4 years ago

  • Blocks Feature #12479: Configure API revision for vSphere Compute Resource added

#6 Updated by Dominic Cleal about 4 years ago

#7 Updated by Dominic Cleal about 4 years ago

  • Subject changed from Update fog to 2.0.0 to Update fog to 1.36.0

Dominic Cleal wrote:

A v1.35.0 release has been made, but I think it incorrectly dropped support for Ruby 1.9.3 (https://github.com/fog/fog/issues/3711#issuecomment-149810899). If that's resolved then we may be able to update to that first.

1.36.0 has been released which should fix this, so I've filed #12494 to pick this up. I'll leave this ticket pointing at 2.0.0 as it's still expected to drop 1.9 support there.

#8 Updated by Dominic Cleal about 4 years ago

  • Subject changed from Update fog to 1.36.0 to Update fog to 2.0.0

#9 Updated by Dominic Cleal about 4 years ago

  • Blocks deleted (Bug #11332: Version 1 of the API is deprecated and will be shutdown on November 1st 2015)

#10 Updated by Dominic Cleal about 4 years ago

#11 Updated by Dominic Cleal about 4 years ago

  • Blocks deleted (Feature #12479: Configure API revision for vSphere Compute Resource)

#12 Updated by Dominic Cleal over 3 years ago

  • Blocks Bug #13082: Windows images unavailable when creating GCE image entries added

Also available in: Atom PDF